Subject: bug#7167: closed (Re: bug#7167: 23.2; w32-shell-execute doc)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 08 Oct 2010 09:51:02 +0000

Your bug report

#7167: 23.2; w32-shell-execute doc

which was filed against the emacs,w32 package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7167: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7167
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7167: 23.2; w32-shell-execute doc
From: Eli Zaretskii <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Fri, 08 Oct 2010 11:52:47 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Thu, 07 Oct 2010 20:12:47 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> 
> > From: Juanma Barranquero <[email-masked]>
> > Date: Thu, 7 Oct 2010 12:15:55 +0200
> > Cc: Sean Sieger <[email-masked]>, [email-masked]
> > 
> > [Sean, I've Cc:ed you because you're doing binary tarballs now]
> > 
> > On Thu, Oct 7, 2010 at 05:57, Christoph <[email-masked]> wrote:
> > 
> > > Juanma, let me know if I can help troubleshoot this.
> > 
> > I think it is an issue with the binary distribution of Emacs 23.2 for
> > Windows, not with 23.2 per se, because I have my own build of it and
> > the problem is not present.
> > 
> > Likely the fix will simply be to rebuild the official binary
> > distribution of 23.2.
> 
> Not sure, because my binary, which I built myself, also has this
> problem.
> 
> Will try to investigate tomorrow.

Found the problem.  There's nothing wrong with the Windows build
system per se.  The problem is that emacs-23.2 tarball comes with a
src/buildobj.h from a Unix system where it was tarred, which is
baaaaad, and not only on Windows.  This causes Make not to create
src/buildobj.h as suitable for the actual build on the target
platform, and the rest is history.

I've just installed a fix in the emacs-23 branch (revno 100091 and a
followup change in 100092) to exclude this file from the tarball.

To fix this locally, just remove src/buildobj.h and rebuild Emacs.

While at that, I would suggest that this code in help-fns.el:

      (let ((file (catch 'loop
		    (while t
		      (let ((pnt (search-forward (concat "" name "\n"))))
			(re-search-backward "S\\(.*\\)")
			(let ((file (match-string 1)))
			  (if (member file build-files)
			      (throw 'loop file)
			    (goto-char pnt))))))))
	(if (string-match "^ns.*\\(\\.o\\|obj\\)\\'" file)
	    (setq file (replace-match ".m" t t file 1))
	  (if (string-match "\\.\\(o\\|obj\\)\\'" file)
	      (setq file (replace-match ".c" t t file))))
	(if (string-match "\\.\\(c\\|m\\)\\'" file)
	    (concat "src/" file)
	  file)))))

be made smarter wrt the error message it displays when the function or
variable it looks for is found in etc/DOC, but the file in which it is
defined is not in build-files.  (This happens when you click or type
RET on the link to the source file where the function is defined.)
Currently, the error message, which comes from search-forward, is
quite cryptic for a naive user:

    Search failed: "^_Fw32-shell-execute
    "

It should at least mention the fact that the problem could be with
build-files, or, better, say that w32-shell-execute's definition is in
a file that is not in build-files.  Volunteers are welcome to make
this improvement.

Subject: 23.2; w32-shell-execute doc
From: Mirko Vukovic <[email-masked]>
To: [email-masked]
Date: Wed, 6 Oct 2010 10:46:51 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

In `emacs -Q'

When executing describe function (C-c f on) w32-shell-execute I get the
following result:

w32-shell-execute is a built-in function in `C source code'.

[Missing arglist.  Please make a bug report.]

Not documented.

[back]

In GNU Emacs 23.2.1 (i386-mingw-nt5.1.2600)
 of 2010-05-08 on G41R2F1
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --no-opt --cflags -Ic:/xpm/include'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-h f w 3 2 - s h e l l <tab> <tab> e <tab> <return>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <menu-bar>
<help-menu> <send-emacs-bug-report>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Making completion list...
Type C-x 1 to delete the help window.

Load-path shadows:
e:/program-files/emacs-23.2/site-lisp/remember/remember hides
e:/program-files/emacs-23.2/lisp/textmodes/remember

Features:
(shadow sort mail-extr message ecomplete rfc822 mml mml-sec
password-cache mm-decode mm-bodies mm-encode mailcap mail-parse rfc2231
rfc2047 rfc2045 qp ietf-drums mailabbrev nnheader gnus-util netrc
time-date mm-util mail-prsvr gmm-utils wid-edit mailheader canlock sha1
hex-util hashcash mail-utils emacsbug help-mode easymenu view help-fns
tooltip ediff-hook vc-hooks lisp-float-type mwheel dos-w32 disp-table
ls-lisp w32-win w32-vars tool-bar dnd fontset image fringe lisp-mode
register page menu-bar rfn-eshadow timer select scroll-bar mldrag mouse
jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
loaddefs button minibuffer faces cus-face files text-properties overlay
md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process multi-tty emacs)